<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

  if(isset($_SESSION["mailcli"]))
  {
    if(isset($_POST['mdpcli']))
    {
      mysql_select_db($base) or die ("Problème à la connexion de la base de donnée"); //connection à la base
      
      //on change les valeurs des variables de session
      if ($_POST['mdpcli'] != ""){
          $_SESSION['mdpcli'] = addslashes(htmlentities(strip_tags($_POST['mdpcli'])));
      }else{
        echo "<p class='erreur'>Le mot de passe ne doit pas être null.</p>";
      }
      
      $_SESSION['nomcli'] = addslashes(htmlentities(strip_tags($_POST['nomcli'])));
      $_SESSION['prenomcli'] = addslashes(htmlentities(strip_tags($_POST['prenomcli'])));
      $_SESSION['adresscli'] = addslashes(htmlentities(strip_tags($_POST['adresscli'])));
      $_SESSION['cpcli'] = addslashes(htmlentities(strip_tags($_POST['cpcli'])));
      $_SESSION['villecli'] = addslashes(htmlentities(strip_tags($_POST['villecli'])));
      $_SESSION['payscli'] = addslashes(htmlentities(strip_tags($_POST['payscli'])));
      $_SESSION['telcli'] = addslashes(htmlentities(strip_tags($_POST['telcli'])));
      
      
      $md5mdpcli = md5($_POST['mdpcli']);
      
      //REQUETE SQL : mise à jour des données dans MySQL
      mysql_query("UPDATE freepay_client SET mdpcli='".$md5mdpcli."', nomcli='".$_SESSION['nomcli']."', prenomcli='".$_SESSION['prenomcli']."', adresscli='".$_SESSION['adresscli']."', cpcli='".$_SESSION['cpcli']."', villecli='".$_SESSION['villecli']."', payscli='".$_SESSION['payscli']."', telcli='".$_SESSION['telcli']."' where mailcli='".$_SESSION['mailcli']."'");
      
      echo "<p class='reussi'>Votre compte a été modifié avec succès.<br/></p>";
      
    }
    
    
    //raporte les données de sessions pour l'inserer dans le formulaire
    
    echo '    
    <form action="client_modifier.php" method="post">
    <div><h4 class="titre">Modifier de vos informations</h4></div>
    <p>
    
    <table>';
    
    //on ne peut pas modifier les mots de passes des comptes de tests
    if ($_SESSION['mailcli'] != 'test@freepay.fr' and $_SESSION['mailcli'] != 'test2@freepay.fr')
    {
      echo '<tr><td>'.$PreferenceMotDePasse[$lang].' :</td><td><input type="text" value="'.$_SESSION['mdpcli'].'" name="mdpcli" id="mdpcli" size="20" '; if(isset($_POST['mdpcli'])){ echo ' value="'.$_POST["mdpcli"].'" ';} echo '/></td></tr>';
    }
    else
    {
      echo '<tr><td><input type="hidden" value="'.$_SESSION['mdpcli'].'" name="mdpcli" id="mdpcli" size="20" /></td></tr>';
    }
    
    echo '
    <tr><td>'.$PreferenceNom[$lang].' :</td><td> <input type="text" value="'.$_SESSION['nomcli'].'" name="nomcli" size="47" /></td></tr>
    
    <tr><td>'.$PreferencePrenom[$lang].' :</td><td> <input type="text" value="'.$_SESSION['prenomcli'].'" name="prenomcli" size="47" /></td></tr>
    
    <tr><td>'.$PreferenceAdresse[$lang].' :</td><td> <input type="text" value="'.$_SESSION['adresscli'].'" name="adresscli" size="47" /></td></tr>
    
    <tr><td>'.$PreferenceCodePostal[$lang].' :</td><td> <input type="text" value="'.$_SESSION['cpcli'].'" name="cpcli" size="47" /></td></tr>
    
    <tr><td>'.$PreferenceVille[$lang].' :</td><td> <input type="text" value="'.$_SESSION['villecli'].'" name="villecli" size="47" /></td></tr>';
    
    include("client_pays.php");
    
    //Affichage dans une liste déroulante
  
    if(isset($_SESSION['payscli'])){
      $SelectPays = $_SESSION['payscli'];
    }else{
      $SelectPays = "FR";
    }
    
    echo '
    <tr>
      <td>'.$PreferencePays[$lang].' :</td>
      <td>
        <label>
          <select name="payscli">';
            for($i=0;$i<=$NbTotalPays;$i++){
              echo '<option value="'.$ISONomPaysApha2[$i].'" '; 
                  if($SelectPays == $ISONomPaysApha2[$i]){
                  echo 'selected="selected"';
                  }
                echo'>'.$ISONomPays[$i].'</option>
                    ';
            } echo' 
          </select>
        </label>
      </td>
    </tr>';
    
    echo'<tr><td>'.$PreferenceTelephone[$lang].' :</td><td> <input type="text" value="'.$_SESSION['telcli'] .'" name="telcli" size="47" /></td></tr>
    
    <tr><td></td><td> <input type="submit" value="Modifier" /><input type="reset" value="Annuler" /></td></tr>
    
    </table>
    
    
    </p></form>';
    
    //Focus sur le champs du courriel en javascript
    echo '<script type="text/javascript">document.getElementById("mdpcli").focus();</script>';
    
  }
  else
  {
    echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
    
  
  
  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // Inclure le bas de la page 

?>
